./devel/libusb, USB access library (version 0)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.1.12nb7, Package name: libusb-0.1.12nb7, Maintainer: pkgsrc-users

libusb provides a library for application access to USB devices.

This package contains version 0 of the library.


Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 599a5168590f66bc6f1f9a299579fd8500614807
RMD160: 63848df717e00fff67ab30ba86a85466370d4e8e
Filesize: 380.218 KB

Version history: (Expand)


CVS history: (Expand)


   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2019-08-06 11:27:31 by Maya Rashish | Files touched by this commit (3)
Log message:
libusb: revert previous patch. this code is not doing unaligned access.

PR pkg/54441
   2019-08-06 11:12:10 by Maya Rashish | Files touched by this commit (3)
Log message:
libusb: avoid unaligned access. Improve code consistency.
XXX does this package also need -O1 -fno-strict-aliasing on clang?

Noted by Shingo Nishioka in PR pkg/54441
   2019-05-16 18:17:52 by Paul Goyette | Files touched by this commit (1)
Log message:
Disable -Werror when building.  If it is enabled, current releases of
gcc (7.4.0) will generate lots of errors concerning snprintf().

Fix proposed by wiz@ and confirmed by me.
   2018-08-19 22:16:42 by Thomas Klausner | Files touched by this commit (38)
Log message:
*: reset maintainer for drochner
   2018-02-19 18:59:23 by matthew green | Files touched by this commit (3)
Log message:
eat EAGAIN messages and simply retry.  this fixes libusb / ups-nut-usb
from flooding my syslog with multiple messages per second.

bump pkg version.
   2017-08-12 00:17:34 by Maya Rashish | Files touched by this commit (6)
Log message:
rototill^W omit low GCC_REQD
   2016-12-03 05:19:05 by John Marino | Files touched by this commit (1)
Log message:
devel/libusb: ONLY_FOR_PLATFORM=- DragonFly

The old USB headers were removed long ago and I don't think this 3rd party
USB library is functional on DragonFly anymore (even if it were buildable,
which its not).  I'm wondering if this is not also the case for FreeBSD?

Any important software that depends on libusb (SDL2?) will need to
support the base libusb.so in DragonFly (and FreeBSD?).